tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory > Class Template Reference

`#include <flow_graph_opencl_node.h>`

Inheritance diagram for tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >:
Collaboration diagram for tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >:

## Public Types

typedef base_type::kernel_type | kernel_type

## Public Member Functions

| opencl_node (graph &g, const kernel_type &kernel)
| opencl_node (graph &g, const kernel_type &kernel, Factory &f)
template<typename DeviceSelector >
| opencl_node (graph &g, const kernel_type &kernel, DeviceSelector d, Factory &f)

## Private Types

typedef streaming_node< tuple< Ports... >, JP, Factory > | base_type

## Detailed Description

### template<typename JP, typename Factory, typename... Ports>
class tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >

Definition at line 1421 of file flow_graph_opencl_node.h.

## Member Typedef Documentation

## base_type

template<typename JP , typename Factory , typename... Ports>

typedef streaming_node< tuple<Ports...>, JP, Factory > tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >::base_type

private

Definition at line 1423 of file flow_graph_opencl_node.h.

## kernel_type

template<typename JP , typename Factory , typename... Ports>

typedef base_type::kernel_type tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >::kernel_type

Definition at line 1425 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## opencl_node() [1/3]

template<typename JP , typename Factory , typename... Ports>

tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >::opencl_node | ( | graph & | g,
|  | const kernel_type & | kernel
| ) |  |

inline

Definition at line 1427 of file flow_graph_opencl_node.h.

: base_type( g, kernel, opencl_info::default_device_selector< opencl_info::default_opencl_factory >(), opencl_info::default_factory() )
{
tbb::internal::fgt_multiinput_multioutput_node( CODEPTR(), tbb::internal::FLOW_OPENCL_NODE, this, &this->my_graph );
}
CODEPTR
#define CODEPTR()
Definition: _flow_graph_trace_impl.h:297
tbb::internal::fgt_multiinput_multioutput_node
static void fgt_multiinput_multioutput_node(void *, string_index, void *, void *)
Definition: _flow_graph_trace_impl.h:324
tbb::flow::interface11::opencl_info::default_factory
default_opencl_factory & default_factory()
Definition: flow_graph_opencl_node.h:1217
tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >::base_type
streaming_node< tuple< Ports... >, JP, Factory > base_type
Definition: flow_graph_opencl_node.h:1423

References CODEPTR, and tbb::internal::fgt_multiinput_multioutput_node().

Here is the call graph for this function:

## opencl_node() [2/3]

template<typename JP , typename Factory , typename... Ports>

tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >::opencl_node | ( | graph & | g,
|  | const kernel_type & | kernel,
|  | Factory & | f
| ) |  |

inline

Definition at line 1433 of file flow_graph_opencl_node.h.

: base_type( g, kernel, opencl_info::default_device_selector <Factory >(), f )
{
tbb::internal::fgt_multiinput_multioutput_node( CODEPTR(), tbb::internal::FLOW_OPENCL_NODE, this, &this->my_graph );
}

References CODEPTR, and tbb::internal::fgt_multiinput_multioutput_node().

Here is the call graph for this function:

## opencl_node() [3/3]

template<typename JP , typename Factory , typename... Ports>
template<typename DeviceSelector >

tbb::flow::interface11::opencl_node< tuple< Ports... >, JP, Factory >::opencl_node | ( | graph & | g,
|  | const kernel_type & | kernel,
|  | DeviceSelector | d,
|  | Factory & | f
| ) |  |

inline

Definition at line 1440 of file flow_graph_opencl_node.h.

: base_type( g, kernel, d, f)
{
tbb::internal::fgt_multiinput_multioutput_node( CODEPTR(), tbb::internal::FLOW_OPENCL_NODE, this, &this->my_graph );
}
d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109

References CODEPTR, and tbb::internal::fgt_multiinput_multioutput_node().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.